Loading...
Searching...
No Matches
Means.hpp File Reference

Implements some common averages. More...

`#include <cmath>`

Go to the source code of this file.

## Namespaces

namespace | Opm
| This class implements a small container which holds the transmissibility mulitpliers for all the faces in the grid.

## Functions

template<class Scalar>
Scalar | Opm::arithmeticMean (Scalar x, Scalar y)
| Computes the arithmetic average of two values.
template<class Scalar>
Scalar | Opm::geometricMean (Scalar x, Scalar y)
| Computes the geometric average of two values.
template<class Scalar>
Scalar | Opm::harmonicMean (Scalar x, Scalar y)
| Computes the harmonic average of two values.

## Detailed Description

Implements some common averages.

i.e., arithmetic, geometric and harmonic averages.